<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width,initial-scale=1">
	<title><%=ShopName%></title>
	<!-- Favicon icon -->
	<link rel="icon" type="image/png" sizes="16x16" href="./images/favicon.png">
	<link href="/vendor/bootstrap-select/dist/css/bootstrap-select.min.css" rel="stylesheet">
	<link href="/css/style.css" rel="stylesheet">
	<script src="https://unpkg.com/cart-localstorage@1.1.4/dist/cart-localstorage.min.js" type="text/javascript"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>
<style>
	.slideshow-container {
		max-width: 1000px;
		position: relative;
		margin: auto;
	}
	/* Next & previous buttons */
	.prev, .next {
		cursor: pointer;
		position: absolute;
		top: 50%;
		width: auto;
		padding: 16px;
		margin-top: -22px;
		color: white;
		font-weight: bold;
		font-size: 18px;
		transition: 0.6s ease;
		border-radius: 0 3px 3px 0;
		user-select: none;
	}

	/* Position the "next button" to the right */
	.next {
		right: 0;
		border-radius: 3px 0 0 3px;
	}

	/* On hover, add a grey background color */
	.prev:hover, .next:hover {
		background-color: #f1f1f1;
		color: black;
	}
	input::-webkit-outer-spin-button,
	input::-webkit-inner-spin-button {
		-webkit-appearance: none;
		margin: 0;
	}
</style>
<body>

	<!--*******************
        Preloader start
    ********************-->
	<div id="preloader">
		<div class="sk-three-bounce">
			<div class="sk-child sk-bounce1"></div>
			<div class="sk-child sk-bounce2"></div>
			<div class="sk-child sk-bounce3"></div>
		</div>
	</div>
	<!--*******************
        Preloader end
    ********************-->
	<!--**********************************
        Main wrapper start
    ***********************************-->
	<div id="main-wrapper">
		<!--**********************************
            Content body start
        ***********************************-->
		<!-- <div class=""> -->
		<div class="container-fluid" style="max-width: 800px;">
			<div class="row page-titles mx-0" style="display: fix;">
				<div class="col-sm-6 p-md-0 col-9">
					<div class="welcome-text">
						<h4 class="text-success">Hi, welcome to Lish Shop!</h4>
						<p class="mb-0">สวัสดี, ยินดีต้อนรับสู่ Lish Shop!</p>
					</div>
				</div>
				<div class="col-sm-6 col-3 p-md-0 justify-content-end mt-2 d-flex">
					<ol class="breadcrumb">
						<a  class="btn btn-success sharp ml-2" style="color:white" onclick="scrollToCart()">
							<i  class="fa fa-shopping-cart" id="showQty" aria-hidden="true"> </i>
						</a>
					</ol>
				</div>
			</div>
			<!-- row -->
			<div class="row">
				<div class="col-lg-12">
					<div class="profile card card-body px-3 pt-3 pb-0">
						<div class="profile-head">
							<div class="photo-content">
                                <% if(Img_bg != ' '){%>
                                    <img src="http://128.199.100.251:1001/<%= Img_bg %>" alt="" style="width:100%;height: 250px;">
                                <%}else{%>
                                    <div class="cover-photo" style="width:100%; height:300px;"></div>
                                <%}%>
                                </div>
							<div class="profile-info">
								<div class="profile-photo">
                                    <%if(Img_pf != ''){%>
										<img src="http://128.199.100.251:1001/<%= Img_pf %>" class="img-fluid rounded-circle" alt="">
                                    <%}else{%>
                                        <img src="images/profile/profile.png" class="img-fluid rounded-circle" alt="">
                                    <%}%>
                                </div>
								<div class="profile-details">
									<div class="profile-name px-3 pt-3">
										<h4 class="text-success mb-0"><%=ShopName%></h4>
									</div>

								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row" >
				<div class="col-lg-12">
					<div class="card">
						<div class="card-body" id="showPreview">

						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xl-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<% Data_promotion.forEach(element => { %>
									<div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
										<div class="new-arrival-product mb-3">
											<a href="/shop/productdetail/?id=<%= element.promotion_code %>&shop=<%= Shop_code %>">
												<div class="new-arrivals-img-contnent">
													<img class="img-fluid" src="http://128.199.100.251:1001/<%= element.img_link[0].img%>" alt="">
												</div>
												<div class="new-arrival-content mt-1">
													
													<div style="height: 40px;">
														<h4><%= element.promotion_name%></h4>
													</div>
													<span class="price"><%= element.price_sale%></span>
												</div>
											</a>
											<div class="row px-0 mt-2 text-center">
												<div class="col-4">
													<a class="btn btn-primary btn-sm" onclick="DelQty('<%=element.promotion_code%>',1,1);" style="color: white;">-</a>
												</div>
												<div class="col-4" style="padding: 0px;">
													<input type="number" class="form-control" id="<%=element.promotion_code%>" name="01" value="0" onblur="ChangeValue('<%=element.promotion_code%>',this.value,2)" style="text-align: center;">
												</div>
												<div class="col-4" style="padding: 0px;">
													<a class="btn btn-primary btn-sm" onclick="AddQty('<%=element.promotion_code%>',1,1)" style="color: white;">+</a>
												</div>
											</div>
										</div>
									</div>
								<% }) %>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row" id="Cart">
				<div class="col-xl-12">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title">รถเข็นสินค้า</h4>
						</div>
						<div class="card-body">
							<!-- แสดงข้อมูลในตระกร้าสินค้า -->
							<table class="table">
								<tbody class="cart">
								</tbody>
								<tfoot>
									<td class="text-right" colspan="5" style="font-size: 18px;">ยอดรวม : <strong class="total" style="color: #93b83d; font-size: 25px;"></strong></td>
									<td></td>
								</tfoot>
							</table>
						</div>
					</div>
				</div>
			</div>
			<div class="row" id="#Cart">
				<div class="col-12">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title">ที่อยู่ผู้รับ</h4>
						</div>
						<div class="card-body">
							<div class="basic-form">
								<form>
									<div class="row">
										<div class="col-6">
											<span> ชื่อ-นามสกุล </span>
											<input class="form-control" type="text" autocomplete="off" id="FnameLname" value="<%=DataSession.Name%> ">
										</div>
										<div class="col-6">
											<span> เบอร์โทร </span>
											<input class="form-control" type="text" autocomplete="off" id="NumberPhone" value="<%=DataSession.NumberPhone%>">
										</div>
										<div class="mt-1 col-12">
											<span class="input-group">ที่อยู่</span>
											<input class="form-control " type="text" autocomplete="off" id="Address" value="<%=DataSession.Address%>">
										</div>
										<div class="mt-2 col-6">
											<span class="input-group">ตำบล / แขวง</span>
											<input id="district"  type="text" class="form-control"value="<%=DataSession.District%>">
										</div>	
										<div class="mt-2 col-6">
											<span class="input-group">อำเภอ / เขต</span>
											<input id="amphoe"  type="text" class="form-control" value="<%=DataSession.Amphoe%>">
										</div>
										<div class="mt-2 col-6">
											<span class="input-group">จังหวัด</span>
											<input class="form-control " type="text"  id="province" value="<%=DataSession.Province%>">
										</div>
										<div class="mt-2 col-6">
											<span class="input-group">รหัสไปรษณีย์</span>
											<input class="form-control " type="text"  id="postcode" value="<%=DataSession.Postcode%>">
										</div>
										<div class="mt-2 col-12">
											<span class="input-group">อีเมล</span>
											<input class="form-control " type="text" id="Email" value="<%=DataSession.Email%>">
										</div>
                                    </div>
									<h4 class="mt-2">การชำระเงิน</h4>
									<hr />
									<div class="row mt-2 mb-2" id="Check">
										<div class="col-12">
											<% if(Status_cod == 1){%>
											<div class="form-check">
												<input class="form-check-input" type="radio" name="option1"
													value="option1" id="option1">
												<label class="form-check-label" for="option1">
													เก็บเงินปลายทาง
													<img src="https://www.xfitwatch.com/order/assets/img/icon_cod.jpg">
												</label>
											</div>
											<%}if(Status_Bank == 1){%>
											<div class="form-check">
												<input class="form-check-input" type="radio" name="option1"
													value="option2" id="option2">
												<label class="form-check-label" for="option2">
													โอนเงิน
													<img src="https://www.xfitwatch.com/order/assets/img/icon_bank.jpg">
												</label>
											</div>
											<%}if(Status_credit == 1){%>
											<div class="form-check">
												<input class="form-check-input" type="radio" name="option1"
													value="option3" id="option3">
												<label class="form-check-label" for="option3">
													บัตรเครดิต/บัตรเดบิต
													<img src="https://affiliate.awbg.co.th/images/credit.png"
														width="140 px" height="30px">
												</label>
											</div>
											<%}%>
										</div>
									</div>
									<hr />
									<div class="row">
										<div class="col-12 mt-2">
											<div class="form-check">
												<input class="form-check-input" type="checkbox" checked>
												<label class="form-check-label">
													ฉันต้องการรับสิทธิพิเศษและโปรโมชั่น รวมถึงข่าวสาร จาก Lish Thailand
													ตามที่ระบุไว้ใน นโยบายความเป็นส่วนตัว
												</label>
											</div>
										</div>
										<h1><%= Count %></h1>
										<button type="button"
											class="btn btn-rounded btn-primary col-12 mt-2" onclick="BuyProduct()">ส่งคำสั่งซื้อ</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- </div> -->
		<!--**********************************
            Content body end
        ***********************************-->


		<!--**********************************
            Footer start
        ***********************************-->
		<div class="text-center">
			<div class="copyright">
				<p>Copyright © by <a href="" target="_blank">Lish
						Thailand</a> 2022</p>
			</div>
		</div>
		<!--**********************************
            Footer end
        ***********************************-->

		<!--**********************************
           Support ticket button start
        ***********************************-->

		<!--**********************************
           Support ticket button end
        ***********************************-->


	</div>
	<!--**********************************
        Main wrapper end
    ***********************************-->

	<!--removeIf(production)-->

	<!--**********************************
        Scripts
    ***********************************-->
	<!-- Required vendors -->
	<script src="/vendor/global/global.min.js"></script>
	<script src="/vendor/bootstrap-select/dist/js/bootstrap-select.min.js"></script>
	<script src="/vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="/js/custom.min.js"></script>
	<script src="/js/deznav-init.js"></script>
	<!-- Apex Chart -->
	<script src="/vendor/apexchart/apexchart.js"></script>
    <!-- Axios -->
    <script src="https://cdn.jsdelivr.net/npm/axios@1.1.2/dist/axios.min.js"></script>
    <!-- Auto Complate -->
    <!--  END CUSTOM SCRIPTS FILE  -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.0.0-beta.20/js/uikit.min.js"></script>
    <script type="/text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/zip.js/zip.js"></script>
    <!-- / dependencies for zip mode -->
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/JQL.min.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/typeahead.bundle.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dist/jquery.Thailand.min.js"></script>
	<script>
        var TotalQtyPrice = 0;
        $.Thailand({
            database: '/assets/js/jquery.Thailand.js/database/geodb.json', 
            $district: $('#district'),
            $amphoe: $('#amphoe'),
            $province: $('#province'),
            $zipcode: $('#postcode'),
            // onDataFill: function(data){
            //     console.info('Data Filled', data);
            // },
            // onLoad: function(){
            //     console.info('Autocomplete is ready!');
            //     $('#loader, .demo').toggle();
            // }
        });
		function renderCart(items) {
            var TotalCartQrt = 0;
            const $cart = document.querySelector(".cart")
            const $total = document.querySelector(".total")
            $cart.innerHTML = items.map((item) =>
                `
                <tr>
                    <td class="mt-2">${item.name}</td>
                    <td style="width: 20px;"> 
						<button type="button" class="btn btn-block btn-sm btn-outline-primary"
                        onClick="DelQty('${item.id}',1,1)">-</button>
                    </td>
                    <td class="text-center" style="margin-top:20px;">${item.quantity}</td>
                    <td style="width: 20px;"> 
						<button type="button" class="btn btn-block btn-sm btn-outline-primary"
                        onClick="AddQty('${item.id}',1,1)">+</button>
                    </td>
                    <td class="text-right" style="margin-top:20px;">฿${item.quantity * item.price}</td>
					<td></td>
                </tr>`
            ).join("")
            for(let i = 0; i < items.length; i++) {
				TotalCartQrt += items[i].quantity
			}
			if(items.length >= 0){
				let total = 0 
				//total += item.quantity
				axios.post('/shop/return',{Count:TotalCartQrt}).then((result)=>{
					//console.log(result);
					if(result.data.Count > 0){
						document.getElementById("showQty").innerHTML = " " + result.data.Count
					}else{
						document.getElementById("showQty").innerHTML = " "
					}
				})
			}
            $total.innerHTML = "฿" + cartLS.total()
        }
        var Cart = cartLS.list();
        Cart.map((item)=>{
            let Id = item.id
			$(`#${Id}`).val(item.quantity)
        }) 
        renderCart(cartLS.list())
        cartLS.onChange(renderCart)
	</script>
    <script>
		let product_promotion = []
		let photoslide = []
		let video = []
        let photo = []
        let photo2 = []
        let photolink = []
        let photo2link = []
        let txt = []
        let line = []
        let fb = []
        let ib = []
        let order_creative = []
		var text = ''
		$(document).ready(function (){
			localStorage.setItem('shop','<%= Shop_code %>')
			const myParam = localStorage.getItem('shop');
			let localget = localStorage.getItem('__cart');
			var getlocal = JSON.parse(localget);
			if(getlocal?.length > 0){
				for(let i = 0 ; i < getlocal.length ; i++){
					if(myParam != getlocal[i].shop){
						$(`#${getlocal[i].id}`).val(0)
						cartLS.remove(getlocal[i].id)
					}
				}
			}
			axios.get('/shop/getData?shop=<%= Shop_code %>').then(async (response)=>{
				//console.log(response.data.creative);
				let l = 0
				let count = 0
				let data = response.data.creative;
				let product = response.data.product;
				let i = 0
				product.forEach(element=>{
					if(getlocal?.length > 0){
						if(element.promotion_code != getlocal[i]?.id){
							cartLS.remove(getlocal[i]?.id)
						}
						i++;
					}
				})
				data.forEach(element=>{
					let photoslide = JSON.parse(element.slide_photo)
					element.slide_photo = photoslide
					let vdo = JSON.parse(element.video)
					element.video = vdo
					let photo = JSON.parse(element.only_photo)
					element.only_photo = photo
					let secondphoto = JSON.parse(element.second_photo)
					element.second_photo = secondphoto
					let photolink = JSON.parse(element.photo_link)
					element.photo_link = photolink
					let second_photo_link = JSON.parse(element.second_photo_link)
					element.second_photo_link = second_photo_link
					let text = JSON.parse(element.message)
					element.message = text
					let line = JSON.parse(element.line_message)
					element.line_message = line
					let fb = JSON.parse(element.facebook)
					element.facebook = fb
					let inbox = JSON.parse(element.inbox_message)
					element.inbox_message = inbox
					let number = JSON.parse(element.order_creative)
					element.order_creative = number
				})
				
				for(let i = 0 ; i < data[0].order_creative.length; i++){
					if(data[0].order_creative[i].div === `Photoslide`){
						count++;
						text+= `<div class="slideshow-container" style="width:100%;padding-bottom:50px;">
									<div style="display:flex;align-items:center;justify-content:center;">`
							for(let j = 0; j < data[0].slide_photo.length; j++){
								if(data[0].slide_photo[j].div === `photoslide${i+1}`){
									text +=`<div class="mySlides${l+1}" style="display:none;">
												<img src="http://128.199.100.251:1001/image/creativestore/${data[0].slide_photo[j].img}" style="width:100%;height:500px;">
											</div>`
								}
							}
							text += `
									</div>
								<a class="prev"  onclick="plusDivs(-1, ${l})">&#10094;</a>
								<a class="next"  onclick="plusDivs(1, ${l})">&#10095;</a>
                    		</div>`
						l++;
						await checkDivs(l);
					}else if(data[0].order_creative[i].div === `Vdo`){
						for(let j = 0 ; j < data[0].video.length;j++){
							if(data[0].video[j].div === `video${i+1}`){
								text += `<div class="container" style="padding-bottom:50px;">
											<div class="row">
												<div class="col">
													<div class="embed-responsive embed-responsive-16by9">
														${data[0].video[j].value}
													</div>
												</div>
											</div>
										</div>   `
							}
						}
					}else if(data[0].order_creative[i].div === `Photo`){
						for(let j = 0 ; j < data[0].only_photo.length;j++){
							if(data[0].only_photo[j].div === `onlyphoto${i+1}`){
								text += `<div class="container">
									<div class="row">
										<div class="col">
											<img src="http://128.199.100.251:1001/image/creativestore/${data[0].only_photo[j].img}" style="width:100%;height:500px">
										</div>
									</div>
								</div>`
							}
						}
					}else if(data[0].order_creative[i].div === `SecondPhoto`){
						text += `<div class="container">
									<div class="row">`
						for(let j = 0 ; j <data[0].second_photo.length ; j++){
							if(data[0].second_photo[j].div === `secondphoto${i+1}`){
								text+=`<div class="col" align="center">
											<img src="http://128.199.100.251:1001/image/creativestore/${data[0].second_photo[j].img}" style="width:100%;height:100%;">
										</div>`
							}
						}
						text += `</div>
							</div>`
					}else if(data[0].order_creative[i].div === `Photolink`){
						for(let j = 0 ; j < data[0].photo_link.length;j++){
							if(data[0].photo_link[j].div === `Urlphoto${i+1}`){
								text += `<div class="container">
									<div class="row">
										<div class="col">
											<a href="${data[0].photo_link[j].link}" target="_blank"><img src="http://128.199.100.251:1001/image/creativestore/${data[0].photo_link[j].img}" style="width:100%;height:100%;"></img></a>
										</div>
									</div>
								</div>`
							}
						}
					}else if(data[0].order_creative[i].div === `Photo2Link`){
						text += `<div class="container">
									<div class="row">`
						for(let j = 0 ; j < data[0].second_photo_link.length;j++){
							if(data[0].second_photo_link[j].div === `photosecondUrl${i+1}`){
								text +=`<div class="col">
									<a href="${data[0].second_photo_link[j].link}" target="_blank"><img src="http://128.199.100.251:1001/image/creativestore/${data[0].second_photo_link[j].img}" style="width:100%;height:100%;"></a>
								</div>`
							}
						}
							text+=`</div>
								</div>`	
					}else if(data[0].order_creative[i].div === `Text`){
						for(let j = 0 ; j < data[0].message.length;j++){
							if(data[0].message[j].div === `Message${i+1}`){
								text += `<div class="container">
									<div class="row">
										<div class="mt-3 col">
											<p style="font-size:20px">${data[0].message[j].value}</p>
										</div>
									</div>
								</div>`
							}
						}
					}else if(data[0].order_creative[i].div === `Line`){
						for(let j = 0 ; j < data[0].line_message.length;j++){
							if(data[0].line_message[j].div === `Line${i+1}`){
								text += `<div class="container">
									<div class="row">
										<div class="mt-3 col" align="center">
											<a href="${data[0].line_message[j].value}" target="_blank"><img src="http://128.199.100.251:1001/images/LineImage/messageImage.jpg" style="width:50%;"></a>
										</div>
									</div>
								</div>`
							}
						}
					}else if(data[0].order_creative[i].div === `Facebook`){
						for(let j = 0 ; j < data[0].facebook.length;j++){
							if(data[0].facebook[j].div === `facebook${i+1}`){
								text += `<div class="container">
									<div class="row">
										<div class="mt-3 col" align="center">
											<a href="${data[0].facebook[j].value}" target="_blank"><img src="http://128.199.100.251:1001/images/fb.png" style="width:50%;"></a>
										</div>
									</div>
								</div>`
							}
						}
					}else if(data[0].order_creative[i].div === `Inbox`){
						for(let j = 0 ; j < data[0].inbox_message.length;j++){
							if(data[0].inbox_message[j].div === `Send${i+1}`){
								text += `<div class="container">
									<div class="row">
										<div class="mt-3 col" align="center">
											<a href="${data[0].inbox_message[j].value}" target="_blank"><img src="http://128.199.100.251:1001/images/ms.png" style="width:50%;"></a>
										</div>
									</div>
								</div>`
							}
						}
					}
				}
				//console.log(text);
				document.getElementById('showPreview').innerHTML = `${text}`
				if(count > 0){
					await checkshowDiv();
				}
			})
			'<% Data_promotion.forEach(element =>{ %>'
				product_promotion.push({promotion_code: '<%=element.promotion_code%>' , promotion_name: '<%=element.promotion_name%>',price_sale:'<%=element.price_sale%>'})
			'<%})%>'
			//console.log(product_promotion);
		})

        function AddQty(Id,quantity,type){
            //console.log(Id);
            let Total_qty = 0
            let ProductQty = $(`#${Id}`).val()
            let CartQty = document.getElementById('showQty')
            if(ProductQty < 0 || ProductQty == ''){
                $(`#${Id}`).val(0)
            }
            if(ProductQty >= 0){
                if(type == 1){
                    ProductQty = parseInt(ProductQty)+ 1
                    $(`#${Id}`).val(parseInt(ProductQty));
                    Total_qty = quantity
                }
            }
			product_promotion.forEach(element => {
				if(Id == element.promotion_code ){
					cartLS.add({id: element.promotion_code,name:`${element.promotion_name}`,price:parseInt(element.price_sale),shop:'<%= Shop_code  %>'});
				}
			})
        }
        function DelQty(Id,quantity,type){
            let ProductQty = $(`#${Id}`).val();
            ProductQty = parseInt(ProductQty) - parseInt(quantity)
            $(`#${Id}`).val(parseInt(ProductQty)).change()
            if(type == 1){
				if($(`#${Id}`).val() < 0 ){
					$(`#${Id}`).val(0).change()
				}
				product_promotion.forEach(element => {
					if(Id == element.promotion_code ){
						cartLS.quantity(Id,-1);
					}
				})
            }
        }
        function BuyProduct(){
            let check = true
			var cartlist = cartLS.list()
			let CheckRadio = {COD:0,BANK:0,CREDIT:0}
            //console.log(Cart);
            if(($('#FnameLname').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกชื่อ-นามสกุล','','warning')}
            else if(($('#NumberPhone').val()).trim() == '' || $('#NumberPhone').val().length < 9 || $('#NumberPhone').val().length > 10){check = false;Swal.fire('กรุณากรอกเบอร์ให้ถูกต้อง','','warning')}
            else if(($('#Address').val()).trim() == '' || ($('#district').val()).trim() == '' || ($('#amphoe').val()).trim() == '' ||
            ($('#province').val()).trim() == '' || ($('#postcode').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกที่อยู่ให้ถูกต้อง','','warning')}
			else if((document?.getElementById('option1')?.checked || false) == false && (document?.getElementById('option2')?.checked || false) == false && (document?.getElementById('option3')?.checked || false) == false){
				check = false
				Swal.fire('กรุณาเลือกการชำระเงิน','','warning')
			}else if(cartlist.length == 0){
				check = false
				Swal.fire('กรุณาเลือกสินค้า','','warning')
			}
			if(check){
				if(document.getElementById('option1')?.checked){
					CheckRadio.COD = 1
					CheckRadio.BANK = 0
					CheckRadio.CREDIT = 0
				}
				else if(document.getElementById('option2')?.checked){
					CheckRadio.COD = 0
					CheckRadio.BANK = 1
					CheckRadio.CREDIT = 0
				}
				else if(document.getElementById('option3')?.checked){
					CheckRadio.COD = 0
					CheckRadio.BANK = 0
					CheckRadio.CREDIT = 1
				}
                let data = new FormData()
                data.append("Name",($('#FnameLname').val()).trim())
                data.append("NumberPhone",($('#NumberPhone').val()).trim())
                data.append("Address",($('#Address').val()).trim())
                data.append("district",($('#district').val()).trim())
                data.append("amphoe",($('#amphoe').val()).trim())
                data.append("province",($('#province').val()).trim())
                data.append("postcode",($('#postcode').val()).trim())
                data.append("Email",($('#Email').val()).trim())
                data.append("COD",CheckRadio.COD)
                data.append("BANK",CheckRadio.BANK)
                data.append("CREDIT",CheckRadio.CREDIT)
				data.append("Shop",'<%= Shop_code %>')
                axios.post('/shop/keep_info',{Data:Object.fromEntries(data),Cart:cartlist,CheckRadio:CheckRadio}).then((result)=>{
                    if(result.data.Message == 'Success'){
                        window.location = '/shop/confirm_order'
                    }
                })
            }
        }   
    </script>
	<script>
		function ChangeValue(Id,value,type){
			//console.log(Id, value,type);
			if(type == 2){
				let ProductQty = $(`#${Id}`).val()
				let count_value = parseInt(value)
				let CartQty = document.getElementById('showQty')
				if(count_value <= 0 || count_value == '' || ProductQty == NaN || ProductQty == ''){
					if(count_value == 0){
						cartLS.remove(Id)
					}else if(cartLS.list().length == 0){
						$(`#${Id}`).val(0)
					}else{
						$(`#${Id}`).val(cartLS.get(Id).quantity)
					}
				}else{
					$(`#${Id}`).val(count_value).change()
					if(cartLS.get(Id) == undefined){
						product_promotion.forEach((element)=>{
							if(Id == element.promotion_code){
								cartLS.add({id: element.promotion_code,name:`${element.promotion_name}`,price:parseInt(element.price_sale),shop:'<%= Shop_code  %>'});
								if(count_value != 0){
									cartLS.update(Id,'quantity',count_value)
								}else{
									cartLS.remove(Id)
								}
							}
						})
					}else{
						cartLS.update(Id,'quantity',count_value)
					}
				}
			}
			
		}
        const scrollToCart = () => {
            const Present = document.getElementById('Cart')
            //console.log(Present);
            var rect = Present.getBoundingClientRect()
            window.scrollTo(rect.x, rect.y);
        }
		var slideId = []
    	var slideIndex = [];
		async function checkDivs(number){
			slideId.push(`mySlides${number}`);
			slideIndex.push(1)
		}
		function checkshowDiv(){
			for(let m = 0; m < slideIndex.length; m++) {
				showDivs(1,m)
			}
		}
		function plusDivs(n, no) {
			showDivs(slideIndex[no] += n, no);
		}
		function showDivs(n, no) {
			var i;
			var x = document.getElementsByClassName(slideId[no]);
			if (n > x.length) {slideIndex[no] = 1}    
			if (n < 1) {slideIndex[no] = x.length}
			for (i = 0; i < x.length; i++) {
				x[i].style.display = "none"; 
			}
			x[slideIndex[no]-1].style.display = "block";  
		}
	</script>
	</body>
</html>